<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'cachestore_redis', language 'ar', branch 'MOODLE_36_STABLE'
 *
 * @package   cachestore_redis
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['compressor_none'] = 'لا يوجد ضغط.';
$string['compressor_php_gzip'] = 'استخدم ضغط gzip.';
$string['compressor_php_zstd'] = 'استخدم ضغط Zstandard.';
$string['database'] = 'رقم قاعدة البيانات';
$string['database_help'] = 'من الناحية المثالية ، يجب عليك تحديد رقم قاعدة بيانات فريد لكل متجر.
يجب ألا تشارك عمليات التثبيت المختلفة قاعدة بيانات Redis واحدة.';
$string['errordatabasenegative'] = 'يجب أن تكون قاعدة البيانات 0 أو عددًا صحيحًا موجبًا.';
$string['password'] = 'كلمه السر';
$string['password_help'] = 'يقوم هذا بتعيين كلمة مرور خادم Redis.';
$string['pluginname'] = 'Redis';
$string['prefix'] = 'بادئة المفتاح';
$string['prefix_help'] = 'يتم استخدام هذه البادئة لجميع الأسماء الرئيسية على ملقم ريديس. * إذا كان لديك مثيل توتارا واحد فقط باستخدام هذا الملقم، يمكنك ترك هذه القيمة الافتراضية. * نظرا لقيود طول المفتاح، يسمح بحد أقصى 5 أحرف.';
$string['prefixinvalid'] = 'بادئة غير صالحة. يمكنك فقط استخدام a-z A-Z 0-9';
$string['read_password'] = 'اقرأ نسخة من كلمة المرور';
$string['read_password_help'] = 'يؤدي ذلك إلى تعيين كلمة مرور خادم Redis المتماثل للقراءة.';
$string['read_server'] = 'قراءة خادم النسخة المتماثلة';
$string['read_server_help'] = 'إذا كانت لديك بيئة بها نسخ متماثلة للقراءة من redis ، فيرجى تحديد عنوان موازن التحميل المتماثل هنا';
$string['sentinelhosts'] = 'Sentinel hosts';
$string['sentinelhosts_help'] = 'Redis Sentinel هو حل عالي التوفر لـ Redis. يوفر المراقبة وتجاوز الفشل ويبسط التكوين. استخدم قائمة مفصولة بفواصل من الحراس باستخدام التنسيق &quot;host1: port، host2: port، host3: port&quot;، مقابس unix غير مدعومة. عند تحديده ، لا يتم استخدام خيار الخادم ويتم استخدام خيار كلمة المرور للسيد الذي يتم إرجاعه من الحارس.';
$string['sentinelmaster'] = 'Sentinel master name';
$string['sentinelmaster_help'] = 'الاسم الرئيسي الداخلي في تكوين Redis Sentinel';
$string['sentinelpassword'] = 'Sentinel password';
$string['serializer_igbinary'] = 'igbinary serializer.';
$string['serializer_php'] = 'الافتراضي PHP التسلسلي.';
$string['server'] = 'الخادم';
$string['server_help'] = 'يحدد هذا اسم المضيف أو عنوان لخادم Redis لاستخدامه.';
$string['test_database'] = 'قاعدة بيانات اختبار Redis';
$string['test_database_desc'] = 'رقم قاعدة بيانات اختبار Redis على خادم الاختبار.';
$string['test_password'] = 'تجربة كلمة مرور الخادم';
$string['test_password_desc'] = 'كلمة مرور خادم اختبار Redis.';
$string['test_read_password'] = 'قراءة Redis نسخة كلمة المرور';
$string['test_read_password_desc'] = 'قراءة Redis نسخة كلمة المرور.';
$string['test_read_server'] = 'قراءة خادم اختبار النسخة المتماثلة Redis';
$string['test_read_server_desc'] = 'قراءة خادم النسخ المتماثل Redis لاستخدامه في الاختبار.';
$string['test_sentinelhosts'] = 'Redis test Sentinel hosts';
$string['test_sentinelhosts_desc'] = 'يستخدم مضيفو Redis Sentinel لاختبار MUC.';
$string['test_sentinelmaster'] = 'Redis test Sentinel master name';
$string['test_sentinelmaster_desc'] = 'اسم Redis Sentinel الرئيسي المستخدم في اختبار MUC.';
$string['test_sentinelpassword'] = 'Redis test Sentinel password';
$string['test_sentinelpassword_desc'] = 'كلمة مرور Redis Sentinel المستخدمة لاختبار MUC.';
$string['test_serializer'] = 'مسلسل';
$string['test_serializer_desc'] = 'Serializer لاستخدامها في الاختبار.';
$string['test_server'] = 'خادم تجريبي';
$string['test_server_desc'] = 'خادم Redis لاستخدامه في التجربة.';
$string['usecompressor'] = 'استخدم الضاغط';
$string['usecompressor_help'] = 'يحدد الضاغط الذي سيتم استخدامه بعد إجراء التسلسل. يتم ذلك على مستوى Totara Cache API، وليس على مستوى php-redis.';
$string['useserializer'] = 'استخدم التسلسل';
$string['useserializer_help'] = 'يحدد المسلسل الذي سيتم استخدامه للتسلسل. المسلسلات الصالحة هي Redis :: SERIALIZER_PHP أو Redis :: SERIALIZER_IGBINARY. يتم دعم الأخير فقط عندما يتم تكوين phpredis باستخدام الخيار --enable-redis-igbinary ويتم تحميل الامتداد igbinary.';
$string['useserializer_warning'] = 'لا يجب تغيير المسلسل إذا كان هناك أي بيانات في ذاكرة التخزين المؤقت بالفعل.';
