<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'tool_oauth2', language 'ar', branch 'MOODLE_36_STABLE'
 *
 * @package   tool_oauth2
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['authconfirm'] = 'هذا الإجراء سيمنح API وصول دائم إلى Totara للحساب المصادق عليه. هذا مخصص لاستخدامه كحساب نظام لإدارة الملفات المملوكة لـ Totara.';
$string['authconnected'] = 'حساب النظام متصل الآن للوصول دون اتصال';
$string['authnotconnected'] = 'حساب النظام غير متصل للوصول دون اتصال';
$string['configured'] = 'مكون';
$string['configuredstatus'] = 'مكون';
$string['connectsystemaccount'] = 'اتصل بحساب النظام';
$string['createfromtemplate'] = 'أنشئ خدمة OAuth 2 من نموذج';
$string['createfromtemplatedesc'] = 'اختر أحد قوالب خدمة OAuth 2 أدناه لإنشاء خدمة OAuth بتكوين صالح لأحد أنواع الخدمات المعروفة. سيؤدي هذا إلى إنشاء خدمة OAuth 2 ، مع جميع نقاط النهاية الصحيحة والمعلمات المطلوبة للمصادقة ، على الرغم من أنك ستظل بحاجة إلى إدخال معرّف العميل وسر الخدمة الجديدة قبل أن تتمكن من استخدامها.';
$string['createnewendpoint'] = 'إنشاء نقطة نهاية جديدة لجهة الإصدار "{$a}"';
$string['createnewfacebookissuer'] = 'أنشئ خدمة Facebook جديدة';
$string['createnewgoogleissuer'] = 'إنشاء خدمة Google جديدة';
$string['createnewissuer'] = 'إنشاء خدمة مخصصة جديدة';
$string['createnewmicrosoftissuer'] = 'قم بإنشاء خدمة Microsoft جديدة';
$string['createnewnextcloudissuer'] = 'إنشاء خدمة Nextcloud جديدة';
$string['createnewuserfieldmapping'] = 'إنشاء تعيين حقل مستخدم جديد لجهة الإصدار "{$a}"';
$string['deleteconfirm'] = 'هل أنت متأكد من أنك تريد حذف مُصدر الهوية "{$a}"؟ ستتوقف أي مكونات إضافية تعتمد على هذا المُصدر عن العمل.';
$string['deleteendpointconfirm'] = 'هل أنت متأكد أنك تريد حذف نقطة النهاية "{$a->endpoint}" لجهة الإصدار "{$a->issuer}"؟ ستتوقف أي مكونات إضافية تعتمد على نقطة النهاية هذه عن العمل.';
$string['deleteuserfieldmappingconfirm'] = 'هل أنت متأكد من أنك تريد حذف تعيين حقل المستخدم لجهة الإصدار "{$a}"؟';
$string['discovered'] = 'تم اكتشاف الخدمة بنجاح';
$string['discovered_help'] = 'يعني الاكتشاف أنه يمكن تحديد نقاط نهاية OAuth 2 تلقائيًا من عنوان URL الأساسي لخدمة OAuth. لا يلزم "اكتشاف" جميع الخدمات ، ولكن إذا لم تكن كذلك ، فسيلزم إدخال نقاط النهاية ومعلومات تعيين المستخدم يدويًا.';
$string['discoverystatus'] = 'اكتشاف';
$string['editendpoint'] = 'تعديل نقطة النهاية: {$a->endpoint} لجهة الإصدار {$a->issuer}';
$string['editendpoints'] = 'تكوين نقاط النهاية';
$string['editissuer'] = 'تحرير مُصدر الهوية: {$a}';
$string['edituserfieldmapping'] = 'تحرير تعيين حقل المستخدم لجهة الإصدار {$a}';
$string['edituserfieldmappings'] = 'تكوين تعيينات حقول المستخدم';
$string['endpointdeleted'] = 'تم حذف نقطة النهاية';
$string['endpointname'] = 'الاسم';
$string['endpointname_help'] = 'المفتاح المستخدم للبحث عن نقطة النهاية هذه. يجب أن ينتهي بـ "_endpoint".';
$string['endpointsforissuer'] = 'نقاط النهاية للمُصدر: {$a}';
$string['endpointurl'] = 'URL';
$string['endpointurl_help'] = 'URL لنقطة النهاية هذه. يجب استخدام https: // protocol. يتم توفير عناوين URL لنقطة النهاية بواسطة موفر OAuth ولا يجب أن تشير إلى تثبيت Totara.';
$string['issueralloweddomains'] = 'مجالات تسجيل الدخول';
$string['issueralloweddomains_help'] = 'في حالة الضبط ، يكون هذا الإعداد عبارة عن قائمة نطاقات مفصولة بفواصل سيتم تقييد عمليات تسجيل الدخول إليها عند استخدام هذا الموفر.';
$string['issuerbaseurl'] = 'عنوان URL الأساسي للخدمة';
$string['issuerbaseurl_help'] = 'يستخدم URL الأساسي للوصول إلى الخدمة.';
$string['issuerclientid'] = 'معرف العميل';
$string['issuerclientid_help'] = 'معرّف عميل OAuth لجهة الإصدار هذه.';
$string['issuerclientsecret'] = 'سر العميل';
$string['issuerclientsecret_help'] = 'سر عميل OAuth لجهة الإصدار هذه.';
$string['issuerdeleted'] = 'تم حذف مُصدر الهوية';
$string['issuerdisabled'] = 'مُصدر الهوية معطل';
$string['issuerenabled'] = 'مُصدر الهوية مفعّل';
$string['issuerimage'] = 'URL الشعار';
$string['issuerimage_help'] = 'عنوان URL للصورة يُستخدم لإظهار شعار لجهة الإصدار هذه. قد يتم عرضها على صفحة تسجيل الدخول.';
$string['issuerloginparams'] = 'تم تضمين معلمات إضافية في طلب تسجيل الدخول.';
$string['issuerloginparams_help'] = 'تتطلب بعض الأنظمة معلمات إضافية لطلب تسجيل الدخول من أجل قراءة ملف التعريف الأساسي للمستخدم.';
$string['issuerloginparamsoffline'] = 'تم تضمين معلمات إضافية في طلب تسجيل الدخول للوصول دون اتصال.';
$string['issuerloginparamsoffline_help'] = 'يحدد كل نظام OAuth طريقة مختلفة لطلب الوصول دون اتصال. على سبيل المثال ، تتطلب Google المعلمات الإضافية: "access_type = offline & موجه = موافقة". يجب أن تكون هذه المعلمات بتنسيق معامل استعلام عنوان URL.';
$string['issuerloginscopes'] = 'النطاقات المضمنة في طلب تسجيل الدخول.';
$string['issuerloginscopes_help'] = 'تتطلب بعض الأنظمة نطاقات إضافية لطلب تسجيل الدخول من أجل قراءة ملف التعريف الأساسي للمستخدم. النطاقات القياسية لنظام متوافق مع OpenID Connect هي "البريد الإلكتروني للملف الشخصي المفتوح".';
$string['issuerloginscopesoffline'] = 'النطاقات المضمنة في طلب تسجيل الدخول للوصول دون اتصال.';
$string['issuerloginscopesoffline_help'] = 'يحدد كل نظام OAuth طريقة مختلفة لطلب الوصول دون اتصال. على سبيل المثال ، تتطلب Microsoft نطاقًا إضافيًا "offline_access".';
$string['issuername'] = 'الاسم';
$string['issuername_help'] = 'اسم مصدر الهوية. قد يتم عرضها على صفحة تسجيل الدخول.';
$string['issuername_microsoft'] = 'الاسم';
$string['issuername_microsoft_help'] = 'اسم مصدر الهوية. سيتم عرض هذا في صفحة تسجيل الدخول ما لم يتم تمكين علامة Microsoft التجارية الافتراضية.';
$string['issuerrequireconfirmation'] = 'يتطلب التحقق من البريد الإلكتروني';
$string['issuerrequireconfirmation_help'] = 'مطالبة جميع المستخدمين بالتحقق من عناوين بريدهم الإلكتروني قبل أن يتمكنوا من تسجيل الدخول باستخدام OAuth. ينطبق هذا على الحسابات التي تم إنشاؤها حديثًا كجزء من عملية تسجيل الدخول ، أو عندما يكون حساب Totara الحالي متصلاً بتسجيل دخول OAuth عبر عناوين البريد الإلكتروني المطابقة.';
$string['issuers'] = 'المصدرين';
$string['issuersetup'] = 'إرشادات مفصلة حول تكوين خدمات OAuth 2 الشائعة';
$string['issuersetuptype'] = 'إرشادات مفصلة حول إعداد مزود {$a} OAuth 2';
$string['issuershowonloginpage'] = 'تظهر في صفحة تسجيل الدخول';
$string['issuershowonloginpage_help'] = 'إذا تم تمكين المكون الإضافي لمصادقة OAuth 2 ، فسيتم إدراج مُصدر تسجيل الدخول هذا في صفحة تسجيل الدخول للسماح للمستخدمين بتسجيل الدخول بحسابات من جهة الإصدار هذه.';
$string['loginissuer'] = 'السماح بتسجيل الدخول';
$string['notconfigured'] = 'غير مهيأ';
$string['notdiscovered'] = 'لم ينجح اكتشاف الخدمة';
$string['notloginissuer'] = 'لا تسمح بتسجيل الدخول';
$string['oauth2consumerdetails'] = 'تفاصيل عميل OAuth 2';
$string['pluginname'] = 'خدمات OAuth 2';
$string['savechanges'] = 'احفظ التغييرات';
$string['serviceshelp'] = 'تعليمات إعداد مزود الخدمة.';
$string['show_default_branding_microsoft'] = 'عرض علامة Microsoft التجارية الافتراضية';
$string['show_default_branding_microsoft_help'] = 'تتوافق علامة Microsoft التجارية الافتراضية مع إرشادات التصميم الخاصة بـ Microsoft. يوصى بتمكين هذا الإعداد.';
$string['systemaccountconnected'] = 'حساب النظام متصل';
$string['systemaccountconnected_help'] = 'تُستخدم حسابات النظام لتوفير وظائف متقدمة للمكونات الإضافية. إنها ليست مطلوبة لوظيفة تسجيل الدخول فقط ، ولكن قد تقدم المكونات الإضافية الأخرى التي تستخدم خدمة OAuth مجموعة مصغرة من الميزات إذا لم يكن حساب النظام متصلاً. على سبيل المثال ، لا يمكن للمستودعات دعم "الروابط الخاضعة للرقابة" بدون حساب نظام لأداء عمليات الملفات.';
$string['systemaccountnotconnected'] = 'حساب النظام غير متصل';
$string['systemauthstatus'] = 'حساب النظام متصل';
$string['usebasicauth'] = 'مصادقة طلبات الرمز المميز عبر رؤوس HTTP';
$string['usebasicauth_help'] = 'استخدم نظام مصادقة HTTP الأساسي عند إرسال معرف العميل وكلمة المرور مع طلب تحديث الرمز المميز. يوصى به بواسطة معيار OAuth 2 ، ولكن قد لا يكون متاحًا مع بعض المُصدرين.';
$string['userfieldexternalfield'] = 'اسم الحقل الخارجي';
$string['userfieldexternalfield_error'] = 'لا يمكن أن يحتوي هذا الحقل على HTML.';
$string['userfieldexternalfield_help'] = 'اسم الحقل المقدم بواسطة نظام OAuth الخارجي.';
$string['userfieldinternalfield'] = 'اسم الحقل الداخلي';
$string['userfieldinternalfield_help'] = 'اسم حقل مستخدم Totara الذي يجب تعيينه من الحقل الخارجي.';
$string['userfieldmappingdeleted'] = 'تم حذف تعيين حقل المستخدم';
$string['userfieldmappingsforissuer'] = 'تعيينات حقول المستخدم لجهة الإصدار: {$a}';
